<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Responsable_service extends Model
{
    /** @use HasFactory<\Database\Factories\ResponsableServiceFactory> */
    use HasFactory;
    protected $fillable = [
        'debut_mandat',
        'fin_mandat',
        'status',
        'email',
        'personne_id',
        'service_id',
        'tache_id',
    ];

    public function service()
    {
        return $this->belongsTo(Service::class);
    }
    public function personne()
    {
        return $this->belongsTo(Personne::class);
    }

    public function tache()
    {
        return $this->belongsTo(Tache::class);
    }
}